import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("about_us_section_one_cms")
export class AboutUsSectionOneCmsEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  image: string;

  @Column({ default: null, nullable: true })
  heading: string;

  @Column({ default: null, nullable: true })
  title: string;

  @Column({ default: null, nullable: true, type: "longtext" })
  description: string;
}
