import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("contact_us_section_one")
export class ContactUsSectionOneEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  retailerId: string;

  @Column({ default: null, nullable: true })
  retailerName: string;

  @Column({ default: null, nullable: true })
  icon: string;

  @Column({ default: null, nullable: true })
  title: string;

  @Column({ default: null, nullable: true })
  subTitle: string;

  @Column({ default: null, nullable: true })
  buttonText: string;

  @Column({ default: null, nullable: true })
  buttonLink: string;

  @Column({ default: null, nullable: true })
  type: string;
}
