import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("product_brand")
export class ProductBrandEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  retailerId: string;

  @Column({ default: null, nullable: true })
  retailerName: string;
  
  @Column({ default: null, nullable: true })
  brandId: string;

  @Column({ default: null, nullable: true })
  brandName: string;

  @Column({ default: null, nullable: true })
  brandImage: string;

  @Column({ default: null, nullable: true })
  customBrandImage: string;

  @Column({ default: true })
  isShowBrand: boolean;

  @Column({ default: true })
  isShowBrandInCategory: boolean;

  @Column({ default: false })
  isShowCustomBrandImage: boolean;

  @Column({ type: 'int', nullable: true })
  position: number;
}
