import { IsNotEmpty } from "class-validator";

export class CreateProductServiceDto {
  @IsNotEmpty()
  retailerId: string;

  @IsNotEmpty()
  retailerName: string;

  @IsNotEmpty()
  productId: string;

  @IsNotEmpty()
  productName: string;

  @IsNotEmpty()
  productSlug: string;

  @IsNotEmpty()
  image: string;

  @IsNotEmpty()
  brandName: string;

  @IsNotEmpty()
  brandImage: string;

  @IsNotEmpty()
  brandId: string;

  @IsNotEmpty()
  category: string;

  @IsNotEmpty()
  subCategory: string;

  @IsNotEmpty()
  strainType: string;

  @IsNotEmpty()
  variants: number;
}
