import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateBlogPostDto {
  @IsNotEmpty()
  readonly categoryId: string;

  @IsNotEmpty()
  readonly categoryName: string;

  @IsNotEmpty()
  readonly title: string;

  @IsNotEmpty()
  photo: string;

  @IsNotEmpty()
  readonly longDetails: string;

  @IsNotEmpty()
  readonly shortDetails: string;

  @IsNotEmpty()
  tags: string;

  @IsEmpty()
  totalViews: number;

  @IsEmpty()
  urlSlug: string;
}
