import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("landing_page_component_ui")
export class LandingPageComponentUiEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  backgroundColor: string;

  @Column({ default: null, nullable: true })
  pageTitleFontColor: string;

  @Column({ default: null, nullable: true })
  fontColor: string;

  @Column({ default: null, nullable: true })
  checkboxFontColor: string;

  @Column({ default: null, nullable: true })
  buttonColor: string;

  @Column({ default: null, nullable: true })
  buttonFontColor: string;
}
